1

This question already has an answer here:

When I attempt to use Drush 8.0.3 on a clean Drupal 8.1.1 install, I receive the following error:

Command pm-list needs a higher bootstrap level to run - you will need to invoke drush from a more functional Drupal environment to run this command.

This is on a Digital Ocean server running Ubuntu and nginx.

Drush status:

root@*********:/var/www/html/drupal/sites/default# drush status 
Drupal version         :  8.1.1                                       
Site URI               :  http://default                              
Database driver        :  mysql                                       
Database hostname      :  localhost                                   
Database port          :                                              
Database username      :  drupal                                      
Database name          :  drupal                                      
PHP configuration      :  /etc/php5/cli/php.ini                       
PHP OS                 :  Linux                                       
Drush script           :  /usr/local/bin/drush                        
Drush version          :  8.0.3                                       
Drush temp directory   :  /tmp                                        
Drush configuration    :                                              
Drush alias files      :                                              
Drupal root            :  /var/www/html/drupal                        
Drupal Settings File   :  sites/default/settings.php                  
Site path              :  sites/default                               
Sync config path       :  sites/default/files/config_JYMyTTYRsOD-Wxu0fI7lfugHI6rk2DbhO5g-jrfjsPyy46mmesB1aTpSuq2RAUIOUC4N2q_IkQ/sync                                                                 

Oddly (to me, at least) I can clear caches:

root@***************:/var/www/html/drupal/sites/default# drush cr
Cache rebuild complete.

marked as duplicate by kenorb, Pierre.Vriens, Adrian Cid Almaguer, Shawn Conn, Yusef Mohamadi May 17 '16 at 10:50

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • 1
    Did you try running the command from /var/www/html/drupal? – kiamlaluno May 16 '16 at 4:50
  • The poster is running the command in /var/www/html/drupal/sites/default which is perfectly fine. Why then is the issue closed as a duplicate of a question where the answer is to "cd into the drupal directory"? – hansfn May 18 '16 at 6:52
  • I think it would be interesting for other, not only the poster, to find out why he gets the "needs a higher bootstrap level to run" error. I assume the site is actually installed/working? Maybe there is a SQL connection issue for Drush - like in drupal.stackexchange.com/questions/115158 - but then cache rebuild should have failed. Maybe add "-d -d" to the Drush call to get some debug info. – hansfn May 18 '16 at 6:57
0

I don't know if this always is needed, but I recommended keeping Drush in sync with Drupal - the same version or newer. The current (stable) version of Drush is 8.1.2.

  • Out of sync versions of drush are not guaranteed to work. It is best to keep drush to the closest drupal version possible. – Eyal May 17 '16 at 4:46
  • I verified, on a test site, that the out of sync version of Drush isn't issue in this case. – hansfn May 18 '16 at 6:59

Not the answer you're looking for? Browse other questions tagged or ask your own question.